List Model Checkpoints
curl --request GET \
--url https://api.training.wandb.ai/v1/preview/models/{model_id}/checkpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.training.wandb.ai/v1/preview/models/{model_id}/checkpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.training.wandb.ai/v1/preview/models/{model_id}/checkpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step": 123,
"metrics": {}
}
],
"has_more": true,
"object": "list",
"first_id": "",
"last_id": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Model Checkpoints
GET
/
v1
/
preview
/
models
/
{model_id}
/
checkpoints
List Model Checkpoints
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Cursor for pagination - ID of the last item from previous page
Number of items to return
Required range:
1 <= x <= 100Sort order
Available options:
asc, desc Response
Successful Response
Array of items
Show child attributes
Show child attributes
Whether there are more items available
Object type identifier
ID of the first item in the current page
ID of the last item in the current page
Was this page helpful?
⌘I